Get a redline request
curl --request GET \
--url https://api.formabledocs.com/v1/redline-requests/{redlineRequestId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.formabledocs.com/v1/redline-requests/{redlineRequestId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.formabledocs.com/v1/redline-requests/{redlineRequestId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"templateId": "tmpl_abc123",
"status": "DisclosingPartyDraft",
"members": [
{
"role": "DisclosingParty",
"email": "jsmith@example.com",
"displayName": "<string>"
}
],
"testMode": true,
"currentRound": "Disclosing"
}{
"error": "RedlineRequestId is required"
}{
"error": "Auth token not valid"
}{
"error": "Client not authorized to get a redline request for this redline request"
}{
"error": "Redline request not found for id abc123xyz"
}{
"error": "Internal server error"
}Redlining
Get a redline request
Retrieves the redline request by ID
GET
/
redline-requests
/
{redlineRequestId}
Get a redline request
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the redline request
Response
Redline request retrieved successfully
The template ID associated with the redline request
Example:
"tmpl_abc123"
Current status of the redline request
Available options:
DisclosingPartyDraft, DisclosingPartyRequestedReview, DocumentReadyForSigning, ReceivingPartyDraft, ReceivingPartyOpened, ReceivingPartyRequestedReview List of members in the redline request
Show child attributes
Show child attributes
Whether the redline request is in test mode
The party whose turn it is in the current round
Available options:
Disclosing, Receiving